\version "2.24.0"

\header {
  texidoc = "
LilyPond can alter the stem direction of the middle note on a staff so
that it follows the melody, by adding the @code{Melody_engraver} to the
Voice context and overriding the @code{neutral-direction} of Stem.

"
  doctitle = "Automatically changing the stem direction of the middle note based on the melody"
}

%% Updaters remark: this snippet will be replaced by the one from 
%% /Documentation/snippets/new anyway --Harm

\relative c'' {
  \time 3/4
  a8 b g f b g |
  \set suspendMelodyDecisions = ##t
  a  b g f b g |
  \unset suspendMelodyDecisions
  c  b d c b c |
}

\layout {
  \context {
    \Voice
    \consists "Melody_engraver"
    \autoBeamOff
  }
}

