\version "2.24.0"

\header {
  texidoc = "
There are no default automatic beam groupings specified for a number of
non-standard time signatures, including 2/8, 7/8 and 10/8.  If
automatic beams are required the grouping must be specified using
<code>beatStructure</code>.  This example groups beams in 7/8 time in
the pattern 2-3-2. 

"
  doctitle = "Beam grouping with non-standard time signatures"
}

\relative c'' {
  \time 7/8
  a8 a a a a a a
  % rhythm 2-3-2
  \set Score.beatStructure = 2,3,2
  a8 a a a a a a
}


