\version "2.24.0"

\header {
  texidoc = "
Slides for chords are indicated by default in both @code{Staff} and
@code{TabStaff}. String numbers are necessary for @code{TabStaff}
because automatic string calculations are different for chords and for
single notes. 

"
  doctitle = "Chord glissando in tablature"
}

myMusic = \relative c' {
  <c e g>1 \glissando <f a c>
}

\score {
  <<
    \new Staff {
      \clef "treble_8"
      \myMusic
    }
    \new TabStaff \myMusic
  >>
}

\score {
  <<
    \new Staff {
      \clef "treble_8"
      \myMusic
    }
    \new TabStaff \with { \override Glissando.style = #'none } {
      \myMusic
    }
  >>
}


