\version "2.24.0"

\header {
  texidoc = "
Ties in three or more note chords, on legerlines and interval of a
fifth or more. The tie/s encroach upon the note column space, when they
shouldn't. Gould, p. 64, ex. (a) shows tie not going to centre of
notehead, where notehead is and there's an interval bigger than a
fifth. This is bug issue 1126 Tie positioning not as expected. 

"
  doctitle = "Chord with ties and interval bigger than a fifth (tie fix)"
}
\paper { tagline = ##f }

% adapted from the solution at the link below
% https://gitlab.com/lilypond/lilypond/-/issues/1126
\relative c'' { \mark without <g d g,>4~ <g, d' g> r2 |
               <g' d g,>1~ |
               <g, d' g>1 |
}

\relative c'' { \mark with <g d g,>4~ <g d \tweak transparent ##t b g> r2 |
                <g,~ \tweak transparent ##t b d~ g~>1 |
                <g \tweak transparent ##t b d g>1 |
}
