\version "2.24.0"

\header {
  texidoc = "
Here the coda is simply engraved as a new score.

"
  doctitle = "Coda ahead of a line of its own"
}

%% http://lsr.di.unimi.it/LSR/Item?id=966
% added by P.P.Schneider on Dec.2014.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
#(set! paper-alist (cons '("snippet" . (cons (* 210 mm) (* 60 mm))) paper-alist))
\paper {
  #(set-paper-size "snippet")
  ragged-right = ##f
  tagline = ##f
}
\markup\vspace #.5
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

%% see discussion here: http://lilypond.1069038.n5.nabble.com/Coda-ahead-of-a-line-of-its-own-tc169644.html

myMusic = {
  \clef F
  \key ees\major
  \time 5/4
  \set Score.currentBarNumber = #42
  \bar ""
  g8 r r g\p r4 bes8\< r c' r
  g8\mf r r g r4 bes,8 r c r
  d8-\tweak X-offset #-2.5 \f d4 d a,8 d^> r r4
  \bar "||"
  \mark\markup\musicglyph "scripts.segno"
  \key bes\major
}

myCoda = {
  \clef F
  \key bes\major
  \time 5/4
  \set Score.currentBarNumber = #45
  \bar ""
  d4. d8~ d4 ees8 r f8 r
  g4. g,8~g,4 g8 r8 r4
  \bar "||"
  \key ees\major
  c8 r r c r4 ees8 r f r
}

\score {
  \new Staff \with { 
    \omit TimeSignature 
  } 
  \myMusic
  \layout {
    indent = 0
    \context { 
      \Score 
      \omit TimeSignature
    } 
  }
}

\score {
  \new Staff \with {
    \omit TimeSignature
    instrumentName = \markup\vcenter { 
      \bold "coda" \fontsize #3 \musicglyph "scripts.coda" 
    }
  }
  \myCoda
  \layout {
    indent = 25
  }
}

