\version "2.24.0"

\header {
  texidoc = "
LilyPond gives you the ability to assign different colors to any grob
in your score, such as NoteHeads, Alterations, Beams and so on, by
simply overriding the #'color property and choosing your color (as
explained in the Notation Reference, it is possible to obtain about any
color).

"
  doctitle = "Coloring objects"
}

%% http://lsr.di.unimi.it/LSR/Item?id=242
%% see also http://lilypond.org/doc/v2.18/Documentation/learning/visibility-and-color-of-objects


\relative c' {
  \override Accidental.color = #darkgreen
  \override Beam.color = #cyan
  \override NoteHead.color = #darkyellow
  c4
  \override NoteHead.color = #red
  f
  \override NoteHead.color = #darkmagenta
  g
  \override NoteHead.color = #darkblue
  b
  \override NoteHead.color = #green
  \override Stem.color = #blue
  e8 es d dis e4 r
}


