\version "2.24.0"

\header {
  texidoc = "
This example demonstrates how to place prefatory items (such as the
clef and key signature) at the end of a line.

"
  doctitle = "Controlling formatting of prefatory items"
}

%% http://lsr.di.unimi.it/LSR/Item?id=166


\transpose c c' {
  \override Staff.Clef.break-visibility = #end-of-line-visible
  \override Staff.KeySignature.break-visibility = #end-of-line-visible
  \set Staff.explicitClefVisibility = #end-of-line-visible
  \set Staff.explicitKeySignatureVisibility = #end-of-line-visible

  % We want the time sig to take space, otherwise there is not
  % enough white at the start of the line.

  \override Staff.TimeSignature.transparent = ##t
  \set Score.measureBarType = #"-"

  c1 d e f g a b c
  \key d \major
  \break

  % see above.
  \time 4/4

  d e fis g a b cis d
  \key g \major
  \break
  \time 4/4
}


