\version "2.24.0"

\header {
  texidoc = "
The vertical ordering of scripts can be either tweaked with the
@code{'script-priority} or the @code{'outside-staff-priority} property.
The lower this number the closer it will be put to the note. 

"
  doctitle = "Controlling the vertical ordering of scripts (2)"
}

%% http://lsr.di.unimi.it/LSR/Item?id=965
% added by P.P.Schneider on Dec.2014.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
#(set! paper-alist (cons '("snippet" . (cons (* 80 mm) (* 60 mm))) paper-alist))
\paper {
  #(set-paper-size "snippet")
  tagline = ##f
}
\markup\vspace #.5
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

%% => http://lilypond.1069038.n5.nabble.com/Controlling-the-order-of-articulations-and-text-markup-tc169414.html

{
  c''
  -\tweak script-priority 1 ^script-priority
  -\tweak script-priority 2 ^\turn
  -\tweak script-priority 3 ^\prall
}

{
  c''
  -\tweak outside-staff-priority 1 ^outside-staff-priority
  -\tweak outside-staff-priority 2 ^\turn 
  -\tweak outside-staff-priority 3 ^\prall
}

