\version "2.24.0"

\header {
  texidoc = "
In some jazz, pop, and rock lead sheets, complex chord rhythms are
clarified with some small notes below the chords demonstrating the
rhythm. This behavior can be easily implemented by creating a
@code{RhythmicStaff} and copying the rhythms directly. 

"
  doctitle = "Creating chord rhythm guides"
}

%% http://lsr.di.unimi.it/LSR/Item?id=749


\score {
  <<
    \new ChordNames \chords {
      d4.:m g:7 c4
    }
    \new RhythmicStaff {
      \override NoteHead.style = #'slash
      \override NoteHead.font-size = #-4
      c4. c8~c4 c
    }
    \new Staff { d''8 c'' b' g' a' b' c''4 }
  >>
  \layout {
    \context {
      \RhythmicStaff
      \remove "Time_signature_engraver"
      \remove "Clef_engraver"
      \override BarLine.transparent = ##t
      \override StaffSymbol.line-count = #0
    }
  }
}


