\version "2.24.0"

\header {
  texidoc = "
Cross-staff arpeggios can be created in contexts other than
@code{GrandStaff}, @code{PianoStaff} and @code{StaffGroup} if the
@code{Span_arpeggio_engraver} is included in the @code{Score} context. 

"
  doctitle = "Creating cross-staff arpeggios in other contexts"
}

\score {
  \new ChoirStaff {
    \set Score.connectArpeggios = ##t
    <<
      \new Voice \relative c' {
        <c e>2\arpeggio
        <d f>2\arpeggio
        <c e>1\arpeggio
      }
      \new Voice \relative c {
        \clef bass
        <c g'>2\arpeggio
        <b g'>2\arpeggio
        <c g'>1\arpeggio
      }
    >>
  }
  \layout {
    \context {
      \Score
      \consists "Span_arpeggio_engraver"
    }
  }
}


