\version "2.24.0"

\header {
  texidoc = "
With breakable glissando.

"
  doctitle = "Damping sign using a glissando"
}

%%http://lsr.di.unimi.it/LSR/Item?id=1095
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
#(set! paper-alist (cons '("snippet" . (cons (* 60 mm) (* 90 mm))) paper-alist))
\paper {
  #(set-paper-size "snippet")
  tagline = ##f
  ragged-right = ##t
  indent = 0
}
\markup\vspace #.5
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% For version "2.19" and higher: dam = #(define-event-function () () etc.

dam = #(define-event-function () ()
  #{  
     -\tweak bound-details.right-broken.text ##f
     -\tweak bound-details.right.text 
        #(markup #:translate (cons .7 -1) #:line (#:null #:musicglyph "pedal.*")) 
     \glissando 
  #})

{ 
 << { s1 R1 } \\ { a1 \dam\once\hideNotes e } >>
}

{ 
  << 
    { s1 R1 } \\
    {
      \once\override Glissando.breakable = ##t
      \once\override Glissando.after-line-breaking = ##t
      a1 \dam\once\hideNotes\break e 
    }
  >>
}

% LSR workaround:
\markup\vspace #.5

