\version "2.24.0"

\header {
  texidoc = "
Divisiones are gregorian variants of breathing signs. Choices are
@code{divisioMinima}, @code{divisioMaior}, @code{divisioMaxima} and
@code{finalis}, @code{virgula} and @code{caesura}.




"
  doctitle = "Divisiones"
}

%% http://lsr.di.unimi.it/LSR/Item?id=104
%% see also http://www.lilypond.org/doc/v2.18/Documentation/notation/typesetting-gregorian-chant


\include "gregorian.ly"

\score {
  << 
    \context Voice  \transpose c c' {
      \set Score.timing = ##f
      \set Score.forbidBreakBetweenBarLines = ##f
      \override TextScript.padding = #3
      \override Staff.BarLine.transparent = ##t
      \override Stem.transparent = ##t
      g4( a) g^\markup { "divisio minima" }
      \divisioMinima
      g4( a) g^\markup { "divisio maior" }
      \divisioMaior
      g4( a) g^\markup { "divisio maxima" }
      \divisioMaxima
      g4( a) g^\markup { "  finalis" }
      \finalis
      g4( a) g
      ^\markup { "virgula" }
      \virgula
      g4( a) g
      ^\markup { "caesura" }
      \caesura
      g4( a) g
    }
    \new  Lyrics \lyricsto "" {
      Blah blub, blah blam.
      Blah blub, blah blam.
      Blah blub, blah blam.
      Blah blub.
    } 
  >>
}


