\version "2.24.0"

\header {
  texidoc = "
In 20th century music, time signatures tend to change frequently and to
be more complex. Therefore, printing graphic indications (such as
brackets and triangles) above the top staff has become quite useful, if
not essential, to conductors or even players. LilyPond is able to do
that easily with its integrated @code{Measure_grouping_engraver}.

Beware: you can no longer use the @code{\\time} command; use instead
the @code{#(set-time-signature x x '(x x)} function, which is quite
more powerful, especially for compound time signatures such as 5/8. 

"
  doctitle = "Graphic measure grouping indications for conductors"
}

%% http://lsr.di.unimi.it/LSR/Item?id=259

\new Staff \with {
    \consists "Measure_grouping_engraver"
  }

\relative c' {
  \time 2,2 2/4 
  c8 a'4 a8~
  \time 3,2 5/8 
  a8 bes4 r8 bes8->
  \time 2,2 2/4 
  c,8 g'4 g8~ 
  \time 3,2 5/8 
  g8 a4 g a4.->
}


