\version "2.24.0"

\header {
  texidoc = "
If you want your systems horizontally centered, as sometimes needed in
contemporary music, you have to use a @code{\\score} inside a
@code{\\markup} construction for every line. 

"
  doctitle = "horizontal centered systems on a page"
}

%% http://lsr.di.unimi.it/LSR/Item?id=701

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
#(set! paper-alist (cons '("snippet" . (cons (* 100 mm) (* 80 mm))) paper-alist))
\paper {
  #(set-paper-size "snippet")
  indent = 0
  tagline = ##f
}
\markup\vspace #.5
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%here starts the snippet:

\markup {
  \fill-line {
    \score {
      \relative c' {
	c4 d e f \break
      }
      \layout {}
    }
  }
}

\markup {
  \fill-line {
    \score {
      \new Staff \with {
	\remove Time_signature_engraver
      }
      \relative c' {
	g2 f
      }
      \layout {}
    }
  }
}

\markup {
  \fill-line {
    \score {
      \new Staff \with {
	\remove Time_signature_engraver
      }
      \relative c' {
	c4 d e f g a b a
      }
      \layout {}
    }
  }
}

\markup {
  \fill-line {
    \score {
      \new Staff \with {
	\remove Time_signature_engraver
      }
      \relative c' {
	g4 f e g b a g
      }
      \layout {}
    }
  }
}


