\version "2.24.0"

\header {
  texidoc = "
Instrument name as staff lines (alternative)

"
  doctitle = "Instrument name as staff lines (alternative)"
}

%%http://lsr.di.unimi.it/LSR/Item?id=983
% Credits: PPS, March 2015.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
#(set! paper-alist (cons '("snippet" . (cons (* 200 mm) (* 70 mm))) paper-alist))
\paper {
  #(set-paper-size "snippet")
  tagline = ##f
}
\markup\vspace #.5
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\paper {
  indent = 0
}

\header {
  opus = \markup \fontsize #4 "BWV 1009"
  piece = \markup \fontsize #4 "Suite 3"     
  %{ %% alternative font:
  opus = \markup 
          \override #'(font-name . "Purisa bold")
          \concat {
            \fontsize #5  "BWV"
            \hspace #1
            \fontsize #7 "1009"
          } 
  
  piece = \markup 
          \override #'(font-name . "Purisa bold")
          \concat {
            \fontsize #5  "Suite"
            \hspace #.6
            \fontsize #7 "3"
          }
  %}
}

\score {
  \new Staff 
  \relative c' {
    \once\omit Staff.Clef
    \once\omit Staff.TimeSignature
    \textLengthOn
      s1
      -\tweak extra-offset #'(-1 . -4.4) 
      ^\markup \concat { 
        \fontsize #4 
        \scale #'(0.99 . 1.32)
        "Prélude" 
       %{ %% alternative font:
          -\tweak extra-offset #'(-1 . -4.5) 
          ^\markup \concat { 
            \fontsize #4 
            \scale #'(0.82 . 1.3)
            \override #'(font-name . "Purisa bold")
            "Prélude" 
       %}
      } 
    \once\omit Staff.BarLine
    \once\override Staff.Clef.full-size-change = ##t 
    \set Score.currentBarNumber = #1
    \tempo "(Presto)"
    \clef F
    \time 3/4
    c8 b16 a g f e d c g e g |
    c,4~ c16 d e f g a b c   |
    d c b a g a b c d e f d  |
    \break
    e f e d c d e f g a b c |
    d c b a g a b c d e f d |
    e f e d c c b a g f e d |
  }
  \layout {
    \context {
      \Staff
      %instrumentName = \markup { \prelude }
      \override InstrumentName.self-alignment-X = #RIGHT
      \override InstrumentName.self-alignment-Y = ##f
      \override InstrumentName.padding = #-.2
    }
  }
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
\markup\vspace #.5
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


