\version "2.24.0"

\header {
  texidoc = "
In mensural ligatures, notes with ancient durations are printed in a
tight manner. 

"
  doctitle = "Mensural ligatures"
}

%% http://lsr.di.unimi.it/LSR/Item?id=118
%% see also http://www.lilypond.org/doc/v2.18/Documentation/notation/typesetting-mensural-music

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
#(set! paper-alist (cons '("snippet" . (cons (* 190 mm) (* 90 mm))) paper-alist))
\paper {
  #(set-paper-size "snippet")
  tagline = ##f
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%here starts the snippet:

voice =  \transpose c c' {
  \cadenzaOn
  \set Score.measureBarType = #"-"
  g\longa c\breve a\breve f\breve d'\longa^\fermata
  \bar "|"
  \[
  g\longa c\breve a\breve f\breve d'\longa^\fermata
  \]
  \bar "|"
  e1 f1 a\breve g\longa^\fermata
  \bar "|"
  \[
  e1 f1 a\breve g\longa^\fermata
  \]
  \bar "|"
  e1 f1 a\breve g\longa^\fermata
  \bar "||"
}

\score {
  \context ChoirStaff <<
    \new MensuralStaff <<
      \context MensuralVoice <<
        \voice
      >>
    >>
    \new Staff <<
      \context Voice <<
        \voice
      >>
    >>
  >>
}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
\markup\vspace #.5


