\version "2.24.0"

\header {
  texidoc = "
In passages where there are harmonics in one voice and regular notes in
the other, the note head @code{'style} override only applies to the
voice in which it is declared.

"
  doctitle = "Mixing harmonics and regular notes"
}

%% http://lsr.di.unimi.it/LSR/Item?id=539
%% http://www.lilypond.org/doc/v2.17/Documentation/notation/note-heads

upper = \relative c' {
  \voiceOne
  \clef "treble_8"
  \override NoteHead.style = #'harmonic
  g8 a b c b4 d
  <g b>1
}

lower = \relative c {
  \voiceTwo
  \clef "treble_8"
  e2 d
  g,1
}

\score {
  \new Staff = "guitar" <<
    \context Voice = "upper" { \upper }
    \context Voice = "lower" { \lower }
  >>
  \layout { }
}


