\version "2.24.0"

\header {
  texidoc = "
It is possible to change the slope of the Ottava spanner.

"
  doctitle = "Modifying the Ottava spanner slope"
}
\relative c'' {
  \override Staff.OttavaBracket.stencil = #ly:line-spanner::print
  \override Staff.OttavaBracket.bound-details =
    #`((left . ((Y . 0) ; Change the integer here
                (attach-dir . ,LEFT)
                (padding . 0)
                (stencil-align-dir-y . ,CENTER)))
       (right . ((Y . 5) ; Change the number here
                 (padding . 0)
                 (attach-dir . ,RIGHT)
                 (text . ,(make-draw-dashed-line-markup
                           (cons 0 -1.2))))))
  %% Since 2.23.9 use:
  %% ly:horizontal-line-spanner::calc-left-bound-info-and-text
  %% ly:horizontal-line-spanner::calc-right-bound-info
  %% for left/right-bound-info
  %%  --Harm
  \override Staff.OttavaBracket.left-bound-info =
     #ly:horizontal-line-spanner::calc-left-bound-info-and-text
  \override Staff.OttavaBracket.right-bound-info =
     #ly:horizontal-line-spanner::calc-right-bound-info
  \ottava #1
  c1
  c'''1
}

