\version "2.24.0"

\header {
  texidoc = "
Partial measures, such as an anacrusis or upbeat, are entered using the
@code{\\partial} command. The syntax for this command is
@code{\\partial duration}.

   
This is internally translated into @code{\\set Timing.measurePosition =
-length of duration }

   
The property @code{measurePosition} contains a rational number
indicating how much of the measure has passed at this point.



"
  doctitle = "Partial measures (pickup measures)"
}

%% http://lsr.di.unimi.it/LSR/Item?id=183

%LSR modified/updated by P.P.Schneider on April 2014.
%=> http://lilypond.1069038.n5.nabble.com/LSR-correction-Partial-measures-pickup-measures-td161387.html

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
#(set! paper-alist (cons '("snippet" . (cons (* 120 mm) (* 50 mm))) paper-alist))
\paper {
  #(set-paper-size "snippet")
  tagline = ##f
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%here starts the snippet:

\relative c''{
  \partial 16*5 c16 cis d dis e | a2. c,4 | b1
}

% Below are the instruction to set the pickup bar with the grace note.
\relative c'' {
  \partial 4
  \grace f16
  g4
  a2 g2
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
\markup\vspace #.5


