\version "2.24.0"

\header {
  texidoc = "
Objects may be parenthesized by prefixing @code{\\parenthesize} to the
music event: in other words, the note has to be put after the
@code{\\parenthesize} command.

This only functions inside chords; to parenthesize a single note it
must be enclosed with @code{ as if it is a chord.} 

"
  doctitle = "Putting parentheses around a single note"
}

%% http://lsr.di.unimi.it/LSR/Item?id=318
%% see also http://www.lilypond.org/doc/v2.18/Documentation/snippets/expressive-marks

\relative c'' {
  a4
  < \parenthesize b >
  c d
}


