\version "2.24.0"

\header {
  texidoc = "
The global defaults for grace notes are stored in the following
identifiers.

startGraceMusic stopGraceMusic startAcciaccaturaMusic
stopAcciaccaturaMusic startAppoggiaturaMusic stopAppoggiaturaMusic


They are defined in file @code{ly/grace-init.ly}.  By redefining them
other effects may be obtained.

"
  doctitle = "Redefining grace note global defaults"
}

startAcciaccaturaMusic = {
  <>(
  \override Flag.stroke-style = #"grace"
  \slurDashed
}

stopAcciaccaturaMusic = {
  \revert Flag.stroke-style
  \slurSolid
  <>)
}

\relative c'' {
  \acciaccatura d8 c1
}


