\version "2.24.0"

\header {
  texidoc = "
.

"
  doctitle = "Slashed Sixth in figured bass"
}

%% http://lsr.di.unimi.it/LSR/Item?id=980
% <= http://lilypond-french-users.1298960.n2.nabble.com/Ecriture-du-chiffrage-de-la-sixte-diminuee-tt7582315.html
% Credit: PPS on March 2015

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
#(set! paper-alist (cons '("snippet" . (cons (* 110 mm) (* 120 mm))) paper-alist))
\paper {
  #(set-paper-size "snippet")
  tagline = ##f
}
\markup\vspace #.5
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%here starts the snippet:

\paper { 
  indent = 20
}

\layout {
  \context {
    \Score
    measureBarType = ""
  }
}
    

left = \relative {
  \clef bass 
  \key g \major
  \time 3/2
  g,1. fis e d
}

fb = \figuremode {
  <_>1. 
  <76> 
  <76/>
}

\markup \column {
  \italic "Standard diminished steps will slash both figures:"
  \vspace #.5
}

\new Staff \with { instrumentName =  "Continuo " }
<<
  \left
  \fb
>>

fb-new = \figuremode {
  <_>1. 
  <76> 
  < \markup\concat\tiny { 
    \hspace #-.6 
    \number 7 
    \hspace #-.2 
    \slashed-digit #6 
  } >
}

fb-new-bis = \figuremode {
  <_>1. 
  <76> 
  < \markup\concat\tiny { 
    \hspace #-.6 
    \number 7 
    \hspace #-.2 
    \backslashed-digit #6 
  } >
}

\markup \column {
  \italic "Composer wants only sixth' to be slashed..."
  \vspace #.5
}
\new Staff \with { instrumentName =  "Continuo " }
<<
  \left
  \fb-new
>>

\markup \column {
  \italic "...Or backslashed:"
  \vspace #.5
}
\new Staff \with { instrumentName =  "Continuo " }
<<
  \left
  \fb-new-bis
  \tweak extra-offset #'(7 . -3)
  \tweak direction #DOWN
  \mark\markup\teeny { after \italic "Quicquid vivitur sub sole vanitatum" (Georg Schmetzer) }
>>

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% snippet end, put more space down here:
\markup\vspace #1.5


