\version "2.24.0"

\header {
  texidoc = "
After switching from Sibelius, I missed having all my repeat barlines
have \"wings\" on them. It's not documented in the Lilypond
documentation, but it's not too hard to accomplish. Just add this
inside your Staff:


@code{
  \\set Score.startRepeatBarType = #\"[|:\"
  \\set Score.endRepeatBarType = #\":|]\"
  \\set Score.doubleRepeatBarType = #\":|][|:\" }

"
  doctitle = "Add wings to all repeat barlines (simple version)"
}

\language "english"

mel = \relative c'' {
  %% for 2.18.2 use:
  \time 2,3 5/8
  %% with newer versions:
  %\time 2,3 5/8
  \repeat volta 2 { a8 b b b b | }
  \repeat volta 2 {  c8 ds c c b  }
  a8 b b b b
  \repeat volta 2 {  b8 a gs fs e  }

}

<<
  \set Score.startRepeatBarType = #"[|:"
  \set Score.doubleRepeatBarType = #":|][|:"
  \set Score.endRepeatBarType = #":|]"
  \mel
>>



