\version "2.24.0"

\header {
  texidoc = "
Notes that occupy a complete measure are given some extra spacing from
the preceding bar line.  This can be adjusted using the
@code{full-measure-extra-space} property of
@code{NonMusicalPaperColumn}.  The default is 1.  A value of zero
removes the extra space allowed; -1 removes the space completely. 
Positive numbers greater than 1 increase the spacing.

"
  doctitle = "Adjusting the spacing of full measure notes"
}

%% http://lsr.di.unimi.it/LSR/Item?id=716
%% see also http://lilypond.org/doc/v2.18/Documentation/internals/nonmusicalpapercolumn

\relative c'' {
  c1
  \override Score.NonMusicalPaperColumn.full-measure-extra-space = #0
  c1
  \override Score.NonMusicalPaperColumn.full-measure-extra-space = #-1
  c1
  \override Score.NonMusicalPaperColumn.full-measure-extra-space = #5
  c1
  \revert Score.NonMusicalPaperColumn.full-measure-extra-space
  c1
  c1
}


