\version "2.24.0"

\header {
  texidoc = "
When you typeset some polyphonic music on a single staff, especially
when you have different dotted note heads, you sometimes meet collision
between note heads, and don't want them to merge automatically.

Using @code{\\override NoteColumn.force-hshift = #X.Y} allows you to
separate these colliding note heads, inserting the appropriate amount
of blank space (X.Y) between them.

"
  doctitle = "Avoiding collision in single staff polyphony"
}

%% http://lsr.di.unimi.it/LSR/Item?id=618
%% see also http://lilypond.org/doc/v2.18/Documentation/snippets/simultaneous-notes


\relative c' {
  \clef alto
  \time 3/2
  d4 e f g a f << { d2 (cis4) } \\ { <a e'>2. } >> d2. \bar "||" 
  d4 e f g a f << 
    { \once \override NoteColumn.force-hshift = #1.3 d2( cis4) } 
    \\ 
    { <a e'>2. } 
  >> d2. 
  \bar "|."
}


