\version "2.24.0"

\header {
  texidoc = "
If you need to create some basic roman numeral and figured bass
analysis within the body of a score, you can create a staff with the
standard engravers removed and add markup to spaces.

"
  doctitle = "Basic Roman Numeral and Figured Bass Analysis"
}

<<
  \new Staff \relative c' {
    <c e g>2 <c f a> | <c e g> <b d g> | <c e g>1 |
  }
  
  \new Staff \with {
      \remove "Staff_symbol_engraver"
      \remove "Time_signature_engraver"
      \remove "Clef_engraver"
    } {
      s2^\markup { \halign #2 C: I }
      s^\markup { \super \column { 6 \vspace #-0.4 4 } } |
      s^\markup { \super \column { 5 \vspace #-0.4 3 } }
      s^\markup { \lower #1 "V" \super \column { 6 \vspace #-0.5 3 } } |
      s1^\markup "I"
    }
>>

