\version "2.24.0"

\header {
  texidoc = "
In the snippet, you'll see that \"s2\" was used instead of \"r2\" as a
placeholder to space it out a little bit. @code{VoiceFollower} ignores
this -- when r2 was used it would try to draw a line from the rest to
the note head, while philosophically interesting would be wrong.

"
  doctitle = "Creating arbitrary lines following notes across staves"
}

%% http://lsr.di.unimi.it/LSR/Item?id=729
%% see also http://www.lilypond.org/doc/stable/Documentation/internals/voicefollower

\score {
  \new StaffGroup {
    \set StaffGroup.followVoice = ##t
    <<
      \new Staff=one {
        \override VoiceFollower.style = #'dashed-line
          <<
            {c'1}
            {s2 \change Staff = "three" b2} 
          >>
        a1
        }
      \new Staff=two {
        \override VoiceFollower.style = #'dashed-line
        g'2 f' \change Staff = "one" e'1
      }
      \new Staff=three {
        \set followVoice = ##f
        r2 s \change Staff = "two" r1
      }
    >>
  }
}


