\version "2.24.0"

\header {
  texidoc = "
By default, the arpeggioBracket shortcut only works at a Voice level.
As a consequence, if you need to print cross-staff arpeggios, it will
not work (as demonstrated in the first measure of this example); here
is a way to make it work (demonstrated in the second measure).

"
  doctitle = "Cross-staff arpeggio brackets"
}

%% http://lsr.di.unimi.it/LSR/Item?id=470
%% see also http://www.lilypond.org/doc/v2.18/Documentation/notation/expressive-marks-as-lines#arpeggio


csBracket = \override PianoStaff.Arpeggio.stencil = #ly:arpeggio::brew-chord-bracket


\score{
  \new PianoStaff \with { connectArpeggios = ##t } <<
  \new Staff { 
    \arpeggioBracket c''1\arpeggio
    \csBracket c'' \arpeggio 
  }
  \new Staff { 
    \arpeggioBracket c'1 \arpeggio
    \csBracket c'  \arpeggio 
  }
 >>
}


