\version "2.24.0"

\header {
  texidoc = "
In Note, Chord, and Lyrics mode, durations are designated by numbers
and dots: durations are entered as their reciprocal values.  For
example, a quarter note is entered using a @code{4} (since it is a 1/4
note), while a half note is entered using a @code{2} (since it is a 1/2
note).  For notes longer than a whole you must use the variables
@code{\\longa} and @code{\\breve}


c'\\breve c'1 c'2 c'4 c'8 c'16 c'32 c'64 c'64 r\\longa r\\breve r1 r2
r4 r8 r16 r32 r64 r64



"
  doctitle = "Entering durations - 1"
}

%% http://lsr.di.unimi.it/LSR/Item?id=163
%% see also http://lilypond.org/doc/v2.18/Documentation/notation/writing-rhythms

\paper { tagline = ##f }

\score {
 \relative c'' {
    a\breve*1/2 \autoBeamOff
    a1 a2 a4 a8 a16 a32 a64 a64
   \bar ""
   \break
    r\longa*1/4 r\breve *1/2
    r1 r2 r4 r8 r16 r32 r64 r64
  }
  \layout {
    indent = 0
    ragged-right = ##t
    \context {
      \Staff
        \omit Clef
        \omit TimeSignature
        \omit StaffSymbol
        \omit BarLine
        \consists "Pitch_squash_engraver"
    }
    \context {
      \Score
        \remove "Bar_number_engraver"
    }
  }
}


