\version "2.24.0"

\header {
  texidoc = "
Footnotes can be created within music expressions and in stand-alone
text outside music expressions. This snippet is a workaround that
allows a title, or any other element such as the instrument name, to be
footnoted. 

"
  doctitle = "Footnoted header"
}

%% http://lsr.di.unimi.it/LSR/Item?id=918
%=> http://lilypond.1069038.n5.nabble.com/Can-header-items-be-footnoted-td163095.html
%=> http://www.lilypondforum.de/index.php?topic=1777.msg9820#msg9820
% added by Pierre P.Schneider on June 2014.

#(set-default-paper-size "a6")

\header {
  title = "My* Title"
  tagline = #f
}

\markup { 
  \null 
  \footnote 
  \null 
  \italic \concat { "*" \hspace #.3 "Moi, moi, moi" \hspace #.3 "!" } 
  \null 
  \footnote 
  \null 
  \italic \concat { "**" \hspace #.3 "My instrument" \hspace #.3 "!" } 
}

\score {
  \relative c' { c d e f g a b c }
  \layout {
    indent = 20
    \context {
      \Staff
      instrumentName = "Cello**"
    }
  }
}

