\version "2.24.0"

\header {
  texidoc = "
If you have a lot of chords including harmonic noteheads, typing
<code>\\tweak style #'harmonic-mixed</code> may be to long and make the
code unreadable. To avoid that, you can define a function with a
shorter name (in the code below it is only named <code>\\har</code>).

"
  doctitle = "Harmonic noteheads in a chord"
}

%% http://lsr.di.unimi.it/LSR/Item?id=485

har =
#(define-music-function (note) (ly:music?)
  #{ \tweak style #'harmonic-mixed $note #})
 
%% Remark:
%% change to next line, during 2.20-upgrade
%% har = \tweak style #'harmonic-mixed \etc
  
{
 <c' \har c''>2 <c' \har c''>4 <c' \har c''>8 <c' \har c''>
}


