\version "2.24.0"

\header {
  texidoc = "
By default, rehearsal marks specified at the end of a line are printed
at the beginning of the next line (even if it is the end of the piece,
in such case the mark isn't printed at all).

To avoid this, override the #'break-visibility property of the
RehearsalMark object, like in the following snippet.

"
  doctitle = "How to add text marks at the end of a line"
}

%% http://lsr.di.unimi.it/LSR/Item?id=287

\layout {
 ragged-right = ##t 
}

\relative g' {
  g4 g g g | g g g g | g g g g |
  \break
  \override Score.RehearsalMark.break-visibility = #begin-of-line-invisible
  \mark "D.C. al Fine"
  g4 g g g | g g g g | g g g g | g g g g |
}


