\version "2.24.0"

\header {
  texidoc = "
With the @code{\\lyricsto} mechanism, individual lyric lines can be
associated with one melody line. For each lyric line, they can be tuned
whether to follow melismata or not. 

"
  doctitle = "lyric combine"
}

%% http://lsr.di.unimi.it/LSR/Item?id=223
%% see also http://www.lilypond.org/doc/v2.18/Documentation/learning/aligning-lyrics-to-a-melody
%% see also http://www.lilypond.org/doc/v2.18/Documentation/notation/vocal-music
%% see also http://www.lilypond.org/doc/v2.18/Documentation/notation/techniques-specific-to-lyrics
%% see also http://www.lilypond.org/doc/v2.18/Documentation/snippets/vocal-music

<<
  \new Voice = "bla" \relative c'' {
    \autoBeamOff
    c2( d4) e8[ c b c] f4
  }
  \new Lyrics \lyricsto "bla"  { 
    bla ab blob blob 
  }
  \new Lyrics \lyricsto "bla"  {
    bla 

    \set ignoreMelismata = ##t
    
    blob

    %% note: effect of ignoreMelismata delayed one time step.
    \unset ignoreMelismata 
    blob
    
    blob
  }
  
  \new Lyrics \lyricsto "bla"  {
    nes ted lyrics voice with more words than no tes
  }
>>
  

