\version "2.24.0"

\header {
  texidoc = "
Here is a solution to print an accaciatura in markup (for example to
give an execution hint for an appoggiatura, as found in baroque music).

"
  doctitle = "Markup accacciaturas"
}

%% http://lsr.di.unimi.it/LSR/Item?id=458

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
#(set! paper-alist (cons '("snippet" . (cons (* 90 mm) (* 40 mm))) paper-alist))
\paper {
  #(set-paper-size "snippet")
  tagline = ##f
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%here starts the snippet:

%LSR This solution was originally provided by the German LilyPond Forum.

\transpose c c'' {
 \key g \major
 \time 2/4
 \tupletSpan 8
 \override Script.padding = #1

  \appoggiatura f16
    _\markup { 
      [ \note {8} #1
      \translate #(cons -1.5 2.9) { \musicglyph "flags.ugrace" } ] 
    }
  e8 d r b |

  \appoggiatura f16
    _\markup { 
      [ \fontsize #-6 \note {8} #1
      \translate #(cons -1.05 1.5) { 
        \fontsize #-6 \musicglyph "flags.ugrace" 
      }
      \normalsize ] 
    }
  e8 d r b |
}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LSR workaround:
\markup\vspace #.5


