\version "2.24.0"

\header {
  texidoc = "
Where you have one tempo going to another tempo, and the second tempo
has the pulse of a tuplet. This can be done with markup, using
postscript inside. So you can use the sample markup template and adjust

"
  doctitle = "Metric Modulation with Tuplet"
}

tupletToSixteenth =
\markup {
    \hspace #-3.5 \vspace #8
    \concat {
      \postscript "-4 3 rmoveto 0 0.5 rlineto 1.5 0 rlineto 2 0 rmoveto 1.5 0 rlineto 0 -0.5 rlineto stroke"
      \hspace #-2 \raise #3 \normal-text \tiny \italic "3"
      \tiny \general-align #Y #DOWN \note {8} #1
      " = "
      \tiny \general-align #Y #DOWN \note {16} #1
    }
  }

\relative c' {
  \time 3/4
  e \tuplet 3/2 4 { e8 e e } e  e |
  \override Score.MetronomeMark.padding = 3
  \tempo \tupletToSixteenth
  \time 4/4
  \numericTimeSignature
  e16_> e e e_> e e e_> e e e_> e e e_> e e e_> |
}

