\version "2.24.0"

\header {
  texidoc = "
By default a @code{BarNumber} of a broken measure is not repeated at
the beginning of the new line.  Use
@code{first-bar-number-invisible-save-broken-bars} for
@code{barNumberVisibility} to get a parenthesized @code{BarNumber}
there.

"
  doctitle = "Printing bar numbers for broken measures"
}

\layout {
  \context {
    \Score
    barNumberVisibility = #first-bar-number-invisible-save-broken-bars
    \override BarNumber.break-visibility = ##(#f #t #t)
  }
}

\relative c' {
  c1 | d | e | f2 \bar "" \break
  fis | g1 | e2 \bar "" \break
  <>^"reenabled default"
  % back to default -
  % \unset Score.barNumberVisibility would do so as well
  \set Score.barNumberVisibility = 
    #first-bar-number-invisible-and-no-parenthesized-bar-numbers
  es | d1 | c 
}

