\version "2.24.0"

\header {
  texidoc = "
If the remainder of the division of the current @code{BarNumber} by the
 first argument of @code{modulo-bar-number-visible} equals its second
argument print the @code{BarNumber}. Useful to print the
@code{BarNumber} at certain distances, p.e:

* @code{(modulo-bar-number-visible 3 2)} -> prints 2,5,8 *
@code{(modulo-bar-number-visible 4 2)} -> prints 2,6,10 *
@code{(modulo-bar-number-visible 3 1)} -> prints 3,5,7 *
@code{(modulo-bar-number-visible 5 2)} -> prints 2,7,12 

"
  doctitle = "Printing bar numbers using modulo-bar-number-visible"
}

\layout {
  \context {
    \Score
    \override BarNumber.break-visibility = ##(#f #t #t)
    barNumberVisibility = #(modulo-bar-number-visible 3 2)
  }
}

\relative c' {
  \bar ""
  c1 | d | e | f \break
  g1 | e | d | c
}

