\version "2.24.0"

\header {
  texidoc = "
As children do not always have hands large enough, say, to plays
octavas when studying piano, or anything else, it can be useful to add
parentheses around a low note for example. In this snippet, the
@qq{parenthesized} note is made a bit smaller using the @code{\\tweak}
command on the @code{#'font-size property}.

"
  doctitle = "Putting parentheses around a note inside a chord"
}

%% http://lsr.di.unimi.it/LSR/Item?id=283
%% see also http://www.lilypond.org/doc/v2.18/Documentation/snippets/expressive-marks


{ 
  \clef bass
  < f \parenthesize \tweak font-size #-1 f, >2
}


