\version "2.24.0"

\header {
  texidoc = "
According to normal typesetting conventions, LilyPond typesets key
changes at the end of the line, when the change appears at a line
break. This example shows how to change this default to only print the
new key signature at the beginning of the next line.



"
  doctitle = "Removing the key signature at the end of a line"
}

%% http://lsr.di.unimi.it/LSR/Item?id=124
%% http://www.lilypond.org/doc/v2.18/Documentation/notation/visibility-of-objects

\paper {
  ragged-right = ##t
}

\score {
   \relative c' {
    \set Staff.explicitKeySignatureVisibility = #end-of-line-invisible
    c d e f | g a b c | \break
    \key d \major
    d cis b a | g fis e d |
  }
}


