\version "2.24.0"

\header {
  texidoc = "
This snippet shows how to put the percent sign for a duplicate chord.

"
  doctitle = "Repeat percent and chords"
}

%http://lsr.di.unimi.it/LSR/Item?u=1&id=908

%by Robin Bannister
%=> http://lilypond.1069038.n5.nabble.com/more-leadsheet-questions-td160661.html
%=> http://lists.gnu.org/archive/html/lilypond-user/2009-03/msg00556.html

simile = \markup {
  \combine 
  \translate #'(0.2 . 1.5) 
  \draw-circle #0.22 #0 ##t 
  \combine 
  \translate #'(1.8 . 0.5) 
  \draw-circle #0.22 #0 ##t 
  \rotate #90 
  \translate#'(0 . 2)
  \beam #2 #-1 #0.58 
}

% optional :
% simile = \markup { \bold \fontsize #1 \char ##x066A } % arabic

simileCN = \once \override ChordNames.ChordName.text = #simile

\chords { 
  c1:m |  
  \simileCN c:m | 
  \simileCN c:m |  
  \simileCN c:m
}


