\version "2.24.0"

\header {
  texidoc = "
I have a piece of music starting with 4/2 3/2. This snippet allows you
to do so. This solution is based on
http://lsr.di.unimi.it/LSR/Item?id=725.

"
  doctitle = "Setting multiple time signatures at the start of a bar"
}

#(define ((double-time-signature a b c d) grob)
   (grob-interpret-markup grob
          (markup #:override '(baseline-skip . 2.0) #:number
                  (#:line ((#:fontsize 0 #:column (a b))
                           (#:fontsize 0 #:column (c d))
                           )))))
\relative c' {
\once \override Score.TimeSignature.stencil = 
#(double-time-signature "4" "2" "3" "2" )
\key as\major
\time 2/2 es2 f4 g | 
\override Score.TimeSignature.stencil = ##f
\time 4/2 as2 bes4 c des( c) bes( des) |
\time 3/2 c2 c bes4 as |
\time 4/2 g2 f es es
}

