\version "2.24.0"

\header {
  texidoc = "
The @code{\\fill-line} command aligns and justifies markup text by
setting as many columns as required, in a given space.

In this snippet we use numbers to (beautifully) show how the command
works; but when using text beware to use quotes if you want your words
to stay together:

@code{\\fill-line @{The quick brown fox@}} results in something like:
 The quick brown fox 

@code{\\fill-line @{\"The quick brown fox\"@}} results in something
like:
 The quick brown fox 



"
  doctitle = "The \\fill-line command"
}

%% http://lsr.di.unimi.it/LSR/Item?id=244
%% http://lilypond.org/doc/v2.18/Documentation/notation/formatting-text

\paper {
  line-width = 15\cm
  bookTitleMarkup = \markup {
    \column {
      \fill-line {
        1
      }
      \fill-line {
        1
        2
      }
      \fill-line {
        1
        2
        3
      }
      \fill-line {
        1
        2
        3
        4
      }
      \fill-line {
        1
        2
        3
        4
        5
      }
      \fill-line {
        1
        2
        3
        4
        5
        6
      }
      \fill-line {
        1
        2
        3
        4
        5
        6
        7
      }
      \fill-line {
        1
        2
        3
        4
        5
        6
        7
        8
      }
      \fill-line {
        1
        2
        3
        4
        5
        6
        7
        8
        9
      }
      \fill-line {
        1
        2
        3
        4
        5
        6
        7
        8
        9
        10
      }
      \fill-line {
        1
        2
        3
        4
        5
        6
        7
        8
        9
        10
        11
      }
      \fill-line {
        1
        2
        3
        4
        5
        6
        7
        8
        9
        10
        11
        12
      }
      \fill-line {
        1
        2
        3
        4
        5
        6
        7
        8
        9
        10
        11
        12
        13
      }
      \fill-line {
        1
        2
        3
        4
        5
        6
        7
        8
        9
        10
        11
        12
        13
        14
      }
    }
  }
}

\score {
  \new Staff \relative c'' {
  \repeat unfold 4 c1
  }
}


