\version "2.24.0"

\header {
  texidoc = "
This short vertical line placed above the note is commonly used in
baroque music.  Its meaning can vary, but generally indicates notes
that should be played with more @qq{weight}.  The following example
demonstrates how to achieve such a notation.

"
  doctitle = "Vertical line as a baroque articulation mark"
}

upline =
\tweak stencil   
  #(lambda (grob) 
    (grob-interpret-markup grob #{ \markup \draw-line #'(0 . 1) #}))
  \stopped

\relative c' {
  a'4^\upline a( c d')_\upline
}


